# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Interface CookieManager

All Known Implementing Classes:
  SimpleCookieManager

    public interface CookieManager

An interface to a cookie manager. Cookie handling can be disabled or enabled.

Method Summary
`void` `addCookie(GoogleGDataRequest.GoogleCookie cookie)` Adds a new GoogleCookie instance to the cache.
`void` `clearCookies()` Clears all cookies.
`boolean` `cookiesEnabled()` Returns `true` if the GoogleService is handling cookies.
`java.util.Set<GoogleGDataRequest.GoogleCookie>` `getCookies()` Returns the set of associated cookies returned by previous requests.
`void` `setCookiesEnabled(boolean cookiesEnabled)` Enables or disables cookie handling.

Method Detail

### setCookiesEnabled

    void setCookiesEnabled(boolean cookiesEnabled)

  Enables or disables cookie handling.

### cookiesEnabled

    boolean cookiesEnabled()

  Returns `true` if the GoogleService is handling cookies.

### clearCookies

    void clearCookies()

  Clears all cookies.

### addCookie

    void addCookie(GoogleGDataRequest.GoogleCookie cookie)

  Adds a new GoogleCookie instance to the cache.

### getCookies

    java.util.Set<GoogleGDataRequest.GoogleCookie> getCookies()

  Returns the set of associated cookies returned by previous requests.